# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-flash
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pkgname django-flash

Name:           python-module-django-flash
Version:        1.8
Release:        alt1_16
Summary:        A Django extension to provide support for Rails-like flash
Group:          Development/Other
License:        BSD
URL:            http://danielfm.github.com/django-flash
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
Patch1:         python-django-flash-settings.patch

BuildArch:      noarch
BuildRequires:  python-devel 
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3

%global _description\
A simple Django extension that provides support for Rails-like flash messages.\
\
The flash is a temporary storage mechanism that looks like a Python\
dictionary, so you can store values associated with keys and later retrieve\
them. It has one special property: by default, values stored into the flash\
during the processing of a request will be available during the processing\
of the immediately following request. Once that second request has been\
processed, those values are removed automatically from the storage.
Source44: import.info

%description %_description

%prep
%setup -q -n %{pkgname}-%{version}
%patch1 -p1 

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
find %{buildroot} -name 'manage.py' | xargs chmod 0755

%files -n python-module-django-flash
%doc AUTHORS LICENSE README.rst
%{python_sitelibdir_noarch}/djangoflash
%{python_sitelibdir_noarch}/django_flash-*.egg-info

%changelog
* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_16
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_14
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 1.8-alt1_13
- update to new release by fcimport

* Wed Dec 19 2012 Igor Vlasenko <viy@altlinux.ru> 1.7.2-alt1_6
- initial fc import

